メインコンテンツへスキップ
POST
/
api
/
publicapi
/
v1
/
transactions
処理トランザクションを作成します
curl --request POST \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/transactions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/*+json' \
  --data '
{
  "skillId": "<string>",
  "generateMobileInputLink": false,
  "registrationParameters": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "skillParameters": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ]
}
'
{
  "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "isShortLink": true,
  "mobileInputLink": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

トランザクション作成用 Parameter

skillId
string
必須

ファイルに適用する Skill のID

Minimum string length: 1

モバイル入力を起動し、ワンタイム認証トークンを使用して特定のトランザクションに画像を取り込むためのURLを生成します

registrationParameters
object[] | null

トランザクションの追加登録用Parameter

Maximum array length: 10
skillParameters
object[] | null

トランザクション向け Skill Parameter

Maximum array length: 10

レスポンス

トランザクションが正常に作成されました

transactionId
string<uuid>
必須

モバイル入力リンクは、元のモバイル入力リンクを参照する短縮リンクです。

現在のトランザクション用のワンタイム認証トークンを含むモバイル入力リンクです。 generateMobileInputLink=true の場合にこの Parameter が返されます